Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jdbc
Interface JDBCFetchPlan

All Superinterfaces:
  FetchPlan

All Known Implementing Classes:
  JDBCFetchPlanImpl

    public interface JDBCFetchPlan

extends FetchPlan

JDBC extensions to the fetch plan.

Since:
  0.4.1
Author:
  Abe White, Pinaki Poddar

Field Summary
`static int` | `EAGER_JOIN` Deprecated. use the `FetchMode` enum instead.
`static int` | `EAGER_NONE` Deprecated. use the `FetchMode` enum instead.
`static int` | `EAGER_PARALLEL` Deprecated. use the `FetchMode` enum instead.
`static int` | `SIZE_LAST` Deprecated. use the `LRSSizeAlgorithm` enum instead.
`static int` | `SIZE_QUERY` Deprecated. use the `LRSSizeAlgorithm` enum instead.
`static int` | `SIZE_UNKNOWN` Deprecated. use the `LRSSizeAlgorithm` enum instead.
`static int` | `SYNTAX_DATABASE` Deprecated. use the `JoinSyntax` enum instead.
`static int` | `SYNTAX_SQL92` Deprecated. use the `JoinSyntax` enum instead.
`static int` | `SYNTAX_TRADITIONAL` Deprecated. use the `JoinSyntax` enum instead.

Fields inherited from interface org.apache.openjpa.persistence.FetchPlan
`DEFAULT, DEPTH_INFINITE, GROUP_ALL, GROUP_DEFAULT`

Method Summary
`JDBCFetchPlan` | `addFetchGroup(String group)` Adds `group` to the set of fetch group to use when loading objects.
`JDBCFetchPlan` | `addFetchGroups(Collection groups)` Adds `groups` to the set of fetch group names to use when loading objects.
`JDBCFetchPlan` | `addFetchGroups(String... groups)` Adds `groups` to the set of fetch group names to use when loading objects.
`JDBCFetchPlan` | `addField(Class cls, String field)` Adds `field` to the set of field names to use when loading objects.
`JDBCFetchPlan` | `addField(String field)` Adds `field` to the set of fully-qualified field names to use when loading objects.
`JDBCFetchPlan` | `addFields(Class cls, Collection fields)` Adds `fields` to the set of field names to use when loading objects.
`JDBCFetchPlan` | `addFields(Class cls, String... fields)` Adds `fields` to the set of field names to use when loading objects.
`JDBCFetchPlan` | `addFields(Collection fields)` Adds `fields` to the set of fully-qualified field names to use when loading objects.
`JDBCFetchPlan` | `addFields(String... fields)` Adds `fields` to the set of fully-qualified field names to use when loading objects.
`JDBCFetchPlan` | `clearFetchGroups()` Clears the set of fetch group names to use wen loading data.
`JDBCFetchPlan` | `clearFields()` Clears the set of field names to use wen loading data.
`FetchMode` | `getEagerFetchMode()` Eager fetch mode in loading relations.
`FetchDirection` | `getFetchDirection()` Result set fetch direction.
`boolean` | `getIgnoreDfgForFkSelect()` Affirms if foreign key for a relation field will be pre-fetched as part of the owning object irrespective of whether the field is included in the default fetch group of this fetch configuration.
`IsolationLevel` | `getIsolation()` The isolation level for queries issued to the database.
`JoinSyntax` | `getJoinSyntax()` SQL join syntax.
`int` | `getLRSSize()` Deprecated. use `getLRSSizeAlgorithm()` instead.
`LRSSizeAlgorithm` | `getLRSSizeAlgorithm()` How to determine the size of a large result set.
`ResultSetType` | `getResultSetType()` Type of JDBC result set to use for query results.
`FetchMode` | `getSubclassFetchMode()` Eager fetch mode in loading subclasses.
`JDBCFetchPlan` | `removeFetchGroup(String group)` Remove the given fetch group.
`JDBCFetchPlan` | `removeFetchGroups(Collection groups)` Removes `groups` from the set of fetch group names to use when loading objects.
`JDBCFetchPlan` | `removeFetchGroups(String... groups)` Removes `groups` from the set of fetch group names to use when loading objects.
`JDBCFetchPlan` | `removeField(Class cls, String field)` Remove the given field.
`JDBCFetchPlan` | `removeField(String field)` Remove the given fully-qualified field.
`JDBCFetchPlan` | `removeFields(Class cls, Collection fields)` Removes `fields` from the set of field names to use when loading objects.
`JDBCFetchPlan` | `removeFields(Class cls, String... fields)` Removes `fields` from the set of field names to use when loading objects.
`JDBCFetchPlan` | `removeFields(Collection fields)` Removes `fields` from the set of fully-qualified field names to use when loading objects.
`JDBCFetchPlan` | `removeFields(String... fields)` Removes `fields` from the set of fully-qualified field names to use when loading objects.
`JDBCFetchPlan` | `resetFetchGroups()` Resets the set of fetch groups to the list in the global configuration.
`JDBCFetchPlan` | `setEagerFetchMode(FetchMode mode)` Eager fetch mode in loading relations.
`JDBCFetchPlan` | `setEagerFetchMode(int mode)` Deprecated. use `setEagerFetchMode(FetchMode)` instead.
`JDBCFetchPlan` | `setFetchBatchSize(int fetchBatchSize)` Set the fetch batch size for large result set support.
`JDBCFetchPlan` | `setFetchDirection(FetchDirection direction)` Result set fetch direction.
`JDBCFetchPlan` | `setFetchDirection(int direction)` Deprecated. use `setFetchDirection(FetchDirection)` instead.
`void` | `setIgnoreDfgForFkSelect(boolean b)` Affirms if foreign key for a relation field will be pre-fetched as part of the owning object irrespective of whether the field is included in the default fetch group of this fetch configuration.
`JDBCFetchPlan` | `setIsolation(IsolationLevel level)` The isolation level for queries issued to the database.
`JDBCFetchPlan` | `setJoinSyntax(int syntax)` Deprecated. use `setJoinSyntax(JoinSyntax)` instead.
`JDBCFetchPlan` | `setJoinSyntax(JoinSyntax syntax)` SQL join syntax.
`JDBCFetchPlan` | `setLockTimeout(int timeout)` The number of milliseconds to wait for an object lock, or -1 for no limit.
`JDBCFetchPlan` | `setLRSSize(int lrsSizeMode)` Deprecated. use `setLRSSizeAlgorithm(LRSSizeAlgorithm)` instead.
`JDBCFetchPlan` | `setLRSSizeAlgorithm(LRSSizeAlgorithm lrsSizeAlgorithm)` How to determine the size of a large result set.
`JDBCFetchPlan` | `setMaxFetchDepth(int depth)` The maximum fetch depth when loading an object.
`JDBCFetchPlan` | `setQueryResultCacheEnabled(boolean cache)` Control whether or not query caching is enabled.
`JDBCFetchPlan` | `setQueryTimeout(int timeout)` The number of milliseconds to wait for a query, or -1 for no limit.
`JDBCFetchPlan` | `setReadLockMode(LockModeType mode)` The lock level to use for locking loaded objects.
`JDBCFetchPlan` | `setResultSetType(int mode)` Deprecated. use `setResultSetType(ResultSetType)` instead.
`JDBCFetchPlan` | `setResultSetType(ResultSetType type)` Type of JDBC result set to use for query results.
`JDBCFetchPlan` | `setSubclassFetchMode(FetchMode mode)` Eager fetch mode in loading subclasses.
`JDBCFetchPlan` | `setSubclassFetchMode(int mode)` Deprecated. use `setSubclassFetchMode(FetchMode)` instead.
`JDBCFetchPlan` | `setWriteLockMode(LockModeType mode)` The lock level to use for locking dirtied objects.

Methods inherited from interface org.apache.openjpa.persistence.FetchPlan
`getCacheRetrieveMode, getCacheStoreMode, getDelegate, getExtendedPathLookup, getFetchBatchSize, getFetchGroups, getFields, getHint, getHints, getLockScope, getLockTimeout, getMaxFetchDepth, getQueryResultCache, getQueryResultCacheEnabled, getQueryTimeout, getReadLockMode, getWriteLockMode, hasField, hasField, setCacheRetrieveMode, setCacheStoreMode, setExtendedPathLookup, setHint, setLockScope, setQueryResultCache`

Field Detail

### EAGER_NONE

    static final int EAGER_NONE

  Deprecated. use the `FetchMode` enum instead.
  See Also:
    Constant Field Values

### EAGER_JOIN

    static final int EAGER_JOIN

  Deprecated. use the `FetchMode` enum instead.
  See Also:
    Constant Field Values

### EAGER_PARALLEL

    static final int EAGER_PARALLEL

  Deprecated. use the `FetchMode` enum instead.
  See Also:
    Constant Field Values

### SIZE_UNKNOWN

    static final int SIZE_UNKNOWN

  Deprecated. use the `LRSSizeAlgorithm` enum instead.
  See Also:
    Constant Field Values

### SIZE_LAST

    static final int SIZE_LAST

  Deprecated. use the `LRSSizeAlgorithm` enum instead.
  See Also:
    Constant Field Values

### SIZE_QUERY

    static final int SIZE_QUERY

  Deprecated. use the `LRSSizeAlgorithm` enum instead.
  See Also:
    Constant Field Values

### SYNTAX_SQL92

    static final int SYNTAX_SQL92

  Deprecated. use the `JoinSyntax` enum instead.
  See Also:
    Constant Field Values

### SYNTAX_TRADITIONAL

    static final int SYNTAX_TRADITIONAL

  Deprecated. use the `JoinSyntax` enum instead.
  See Also:
    Constant Field Values

### SYNTAX_DATABASE

    static final int SYNTAX_DATABASE

  Deprecated. use the `JoinSyntax` enum instead.
  See Also:
    Constant Field Values

Method Detail

### getEagerFetchMode

    FetchMode getEagerFetchMode()

  Eager fetch mode in loading relations.

### setEagerFetchMode

    JDBCFetchPlan setEagerFetchMode(FetchMode mode)

  Eager fetch mode in loading relations.

### getSubclassFetchMode

    FetchMode getSubclassFetchMode()

  Eager fetch mode in loading subclasses.

### setSubclassFetchMode

    JDBCFetchPlan setSubclassFetchMode(FetchMode mode)

  Eager fetch mode in loading subclasses.

### getResultSetType

    ResultSetType getResultSetType()

  Type of JDBC result set to use for query results.

### setResultSetType

    JDBCFetchPlan setResultSetType(ResultSetType type)

  Type of JDBC result set to use for query results.

### getFetchDirection

    FetchDirection getFetchDirection()

  Result set fetch direction.

### setFetchDirection

    JDBCFetchPlan setFetchDirection(FetchDirection direction)

  Result set fetch direction.

### getLRSSizeAlgorithm

    LRSSizeAlgorithm getLRSSizeAlgorithm()

  How to determine the size of a large result set.

### setLRSSizeAlgorithm

    JDBCFetchPlan setLRSSizeAlgorithm(LRSSizeAlgorithm lrsSizeAlgorithm)

  How to determine the size of a large result set.

### getJoinSyntax

    JoinSyntax getJoinSyntax()

  SQL join syntax.

### setJoinSyntax

    JDBCFetchPlan setJoinSyntax(JoinSyntax syntax)

  SQL join syntax.

### getIsolation

    IsolationLevel getIsolation()

  The isolation level for queries issued to the database. This overrides the persistence-unit-wide `openjpa.jdbc.TransactionIsolation` value.

  Since:
    0.9.7

### setIsolation

    JDBCFetchPlan setIsolation(IsolationLevel level)

  The isolation level for queries issued to the database. This overrides the persistence-unit-wide `openjpa.jdbc.TransactionIsolation` value.

  Since:
    0.9.7

### addFetchGroup

    JDBCFetchPlan addFetchGroup(String group)

  Description copied from interface: `FetchPlan`
  Adds `group` to the set of fetch group to use when loading objects.

  Specified by:
    `addFetchGroup` in interface `FetchPlan`

### addFetchGroups

    JDBCFetchPlan addFetchGroups(Collection groups)

  Description copied from interface: `FetchPlan`
  Adds `groups` to the set of fetch group names to use when loading objects.

  Specified by:
    `addFetchGroups` in interface `FetchPlan`

### addFetchGroups

    JDBCFetchPlan addFetchGroups(String... groups)

  Description copied from interface: `FetchPlan`
  Adds `groups` to the set of fetch group names to use when loading objects.

  Specified by:
    `addFetchGroups` in interface `FetchPlan`

### addField

    JDBCFetchPlan addField(Class cls,
                           String field)

  Description copied from interface: `FetchPlan`
  Adds `field` to the set of field names to use when loading objects.

  Specified by:
    `addField` in interface `FetchPlan`

### addField

    JDBCFetchPlan addField(String field)

  Description copied from interface: `FetchPlan`
  Adds `field` to the set of fully-qualified field names to use when loading objects.

  Specified by:
    `addField` in interface `FetchPlan`

### addFields

    JDBCFetchPlan addFields(Class cls,
                            Collection fields)

  Description copied from interface: `FetchPlan`
  Adds `fields` to the set of field names to use when loading objects.

  Specified by:
    `addFields` in interface `FetchPlan`

### addFields

    JDBCFetchPlan addFields(Class cls,
                            String... fields)

  Description copied from interface: `FetchPlan`
  Adds `fields` to the set of field names to use when loading objects.

  Specified by:
    `addFields` in interface `FetchPlan`

### addFields

    JDBCFetchPlan addFields(Collection fields)

  Description copied from interface: `FetchPlan`
  Adds `fields` to the set of fully-qualified field names to use when loading objects.

  Specified by:
    `addFields` in interface `FetchPlan`

### addFields

    JDBCFetchPlan addFields(String... fields)

  Description copied from interface: `FetchPlan`
  Adds `fields` to the set of fully-qualified field names to use when loading objects.

  Specified by:
    `addFields` in interface `FetchPlan`

### clearFetchGroups

    JDBCFetchPlan clearFetchGroups()

  Description copied from interface: `FetchPlan`
  Clears the set of fetch group names to use wen loading data. After this operation is invoked, only those fields in the default fetch group (and any requested field) will be loaded when loading an object.

  Specified by:
    `clearFetchGroups` in interface `FetchPlan`

### clearFields

    JDBCFetchPlan clearFields()

  Description copied from interface: `FetchPlan`
  Clears the set of field names to use wen loading data. After this operation is invoked, only those fields in the configured fetch groups will be loaded when loading an object.

  Specified by:
    `clearFields` in interface `FetchPlan`

### removeFetchGroup

    JDBCFetchPlan removeFetchGroup(String group)

  Description copied from interface: `FetchPlan`
  Remove the given fetch group.

  Specified by:
    `removeFetchGroup` in interface `FetchPlan`

### removeFetchGroups

    JDBCFetchPlan removeFetchGroups(Collection groups)

  Description copied from interface: `FetchPlan`
  Removes `groups` from the set of fetch group names to use when loading objects.

  Specified by:
    `removeFetchGroups` in interface `FetchPlan`

### removeFetchGroups

    JDBCFetchPlan removeFetchGroups(String... groups)

  Description copied from interface: `FetchPlan`
  Removes `groups` from the set of fetch group names to use when loading objects.

  Specified by:
    `removeFetchGroups` in interface `FetchPlan`

### removeField

    JDBCFetchPlan removeField(Class cls,
                              String field)

  Description copied from interface: `FetchPlan`
  Remove the given field.

  Specified by:
    `removeField` in interface `FetchPlan`

### removeField

    JDBCFetchPlan removeField(String field)

  Description copied from interface: `FetchPlan`
  Remove the given fully-qualified field.

  Specified by:
    `removeField` in interface `FetchPlan`

### removeFields

    JDBCFetchPlan removeFields(Class cls,
                               Collection fields)

  Description copied from interface: `FetchPlan`
  Removes `fields` from the set of field names to use when loading objects.

  Specified by:
    `removeFields` in interface `FetchPlan`

### removeFields

    JDBCFetchPlan removeFields(Class cls,
                               String... fields)

  Description copied from interface: `FetchPlan`
  Removes `fields` from the set of field names to use when loading objects.

  Specified by:
    `removeFields` in interface `FetchPlan`

### removeFields

    JDBCFetchPlan removeFields(String... fields)

  Description copied from interface: `FetchPlan`
  Removes `fields` from the set of fully-qualified field names to use when loading objects.

  Specified by:
    `removeFields` in interface `FetchPlan`

### removeFields

    JDBCFetchPlan removeFields(Collection fields)

  Description copied from interface: `FetchPlan`
  Removes `fields` from the set of fully-qualified field names to use when loading objects.

  Specified by:
    `removeFields` in interface `FetchPlan`

### resetFetchGroups

    JDBCFetchPlan resetFetchGroups()

  Description copied from interface: `FetchPlan`
  Resets the set of fetch groups to the list in the global configuration.

  Specified by:
    `resetFetchGroups` in interface `FetchPlan`

### setQueryResultCacheEnabled

    JDBCFetchPlan setQueryResultCacheEnabled(boolean cache)

  Description copied from interface: `FetchPlan`
  Control whether or not query caching is enabled. This has no effect if the datacache plugin is not installed, or if the query cache size is set to zero.

  Specified by:
    `setQueryResultCacheEnabled` in interface `FetchPlan`

### setFetchBatchSize

    JDBCFetchPlan setFetchBatchSize(int fetchBatchSize)

  Description copied from interface: `FetchPlan`
  Set the fetch batch size for large result set support. Defaults to the `openjpa.FetchBatchSize` setting. Note that this property will be ignored under some data stores.

  Specified by:
    `setFetchBatchSize` in interface `FetchPlan`

### setLockTimeout

    JDBCFetchPlan setLockTimeout(int timeout)

  Description copied from interface: `FetchPlan`
  The number of milliseconds to wait for an object lock, or -1 for no limit.

  Specified by:
    `setLockTimeout` in interface `FetchPlan`

### setMaxFetchDepth

    JDBCFetchPlan setMaxFetchDepth(int depth)

  Description copied from interface: `FetchPlan`
  The maximum fetch depth when loading an object.

  Specified by:
    `setMaxFetchDepth` in interface `FetchPlan`

### setReadLockMode

    JDBCFetchPlan setReadLockMode(LockModeType mode)

  Description copied from interface: `FetchPlan`
  The lock level to use for locking loaded objects.

  Specified by:
    `setReadLockMode` in interface `FetchPlan`

### setWriteLockMode

    JDBCFetchPlan setWriteLockMode(LockModeType mode)

  Description copied from interface: `FetchPlan`
  The lock level to use for locking dirtied objects.

  Specified by:
    `setWriteLockMode` in interface `FetchPlan`

### setQueryTimeout

    JDBCFetchPlan setQueryTimeout(int timeout)

  Description copied from interface: `FetchPlan`
  The number of milliseconds to wait for a query, or -1 for no limit.

  Specified by:
    `setQueryTimeout` in interface `FetchPlan`

### setEagerFetchMode

    JDBCFetchPlan setEagerFetchMode(int mode)

  Deprecated. use `setEagerFetchMode(FetchMode)` instead.

### setSubclassFetchMode

    JDBCFetchPlan setSubclassFetchMode(int mode)

  Deprecated. use `setSubclassFetchMode(FetchMode)` instead.

### setResultSetType

    JDBCFetchPlan setResultSetType(int mode)

  Deprecated. use `setResultSetType(ResultSetType)` instead.

### setFetchDirection

    JDBCFetchPlan setFetchDirection(int direction)

  Deprecated. use `setFetchDirection(FetchDirection)` instead.

### getLRSSize

    int getLRSSize()

  Deprecated. use `getLRSSizeAlgorithm()` instead.

### setLRSSize

    JDBCFetchPlan setLRSSize(int lrsSizeMode)

  Deprecated. use `setLRSSizeAlgorithm(LRSSizeAlgorithm)` instead.

### setJoinSyntax

    JDBCFetchPlan setJoinSyntax(int syntax)

  Deprecated. use `setJoinSyntax(JoinSyntax)` instead.

### getIgnoreDfgForFkSelect

    boolean getIgnoreDfgForFkSelect()

  Affirms if foreign key for a relation field will be pre-fetched as part of the owning object irrespective of whether the field is included in the default fetch group of this fetch configuration.
  By default, foreign key for a relation field is pre-fetched as part of the owning object only if the field in included in the default fetch group of this fetch configuration.

  Since:
    2.2.0

### setIgnoreDfgForFkSelect

    void setIgnoreDfgForFkSelect(boolean b)

  Affirms if foreign key for a relation field will be pre-fetched as part of the owning object irrespective of whether the field is included in the default fetch group of this fetch configuration.
  By default, foreign key for a relation field is pre-fetched as part of the owning object only if the field in included in the default fetch group of this fetch configuration.

  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.